/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#ifndef BSP_H
#define BSP_H
#include "stm32f4xx.h"



#define GREENLEDON (GPIOD->BSRRL = 1<<12)
#define ORANGELEDON (GPIOD->BSRRL = 1<<13)
#define REDLEDON (GPIOD->BSRRL = 1<<14)
#define BLUELEDON (GPIOD->BSRRL = 1<<15)

#define GREENLEDOFF (GPIOD->BSRRH = 1<<12)
#define ORANGELEDOFF (GPIOD->BSRRH = 1<<13)
#define REDLEDOFF (GPIOD->BSRRH = 1<<14)
#define BLUELEDOFF (GPIOD->BSRRH = 1<<15)

extern float VREF0;

extern unsigned int currentCpuFreq;

extern int bsp_init();

extern void bsp_GPIO_init();
extern void bsp_uart_init();
extern void bsp_iic_init();
extern void bsp_ssp_init();
extern void bsp_SD_init();
extern void consoleputc(char);
extern char consolegetc();

/*  VS1053  */
extern void clearXCS();
extern void setXCS();
extern int vs10XXDREQ();

/*   SD CARD */
void bsppowersdcard(char onoff);
char bspsdcardpresent();
void bspsdcardselect(char YESNO);
char bspsdcardwriteprotected();

#endif



















